Subject: [TR] Replacing TR4 transmission mount - from the top or bottom?

From: Dean Mericas <[email-masked]>
Date: Thu, 31 Oct 2013 06:14:04 -0500

All --

I need to replace the transmission mount on my TR4.  The last time I 
replaced it, the car was all apart, and access was easy.  Now I'm trying 
to figure out if I can remove the old one and install the new one from 
underneath the car, or if I need to pull the transmission tunnel and go 
in from the top.

Any guidance and tips will be appreciated.

Thanks.

Dean
1965 TR4
Austin, TX

** [email-masked] **

Archive: http://www.team.net/archive